<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::NcpSpi Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d0/d2a/classThread_1_1NcpSpi.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../d3/dd8/classThread_1_1NcpSpi-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::NcpSpi Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Thread::NcpSpi:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d34/classThread_1_1NcpSpi__inherit__graph.png" border="0" usemap="#Thread_1_1NcpSpi_inherit__map" alt="Inheritance graph"/></div>
<map name="Thread_1_1NcpSpi_inherit__map" id="Thread_1_1NcpSpi_inherit__map">
<area shape="rect" id="node2" href="../../d9/dc8/classThread_1_1NcpBase.html" title="Thread::NcpBase" alt="" coords="5,5,130,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Thread::NcpSpi:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/dda/classThread_1_1NcpSpi__coll__graph.png" border="0" usemap="#Thread_1_1NcpSpi_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1NcpSpi_coll__map" id="Thread_1_1NcpSpi_coll__map">
<area shape="rect" id="node2" href="../../d9/dc8/classThread_1_1NcpBase.html" title="Thread::NcpBase" alt="" coords="1375,156,1501,181"/>
<area shape="rect" id="node3" href="../../d2/d83/structotInstance.html" title="This type represents all the static / global variables used by OpenThread allocated in one place..." alt="" coords="1179,156,1262,181"/>
<area shape="rect" id="node4" href="../../d6/d3f/structotEnergyScanResult.html" title="This struct represents an energy scan result. " alt="" coords="834,32,977,57"/>
<area shape="rect" id="node5" href="../../d2/dfb/classThread_1_1Ip6_1_1NetifCallback.html" title="This class implements network interface handlers. " alt="" coords="817,81,993,107"/>
<area shape="rect" id="node6" href="../../d3/d8e/classThread_1_1ThreadNetif.html" title="Thread::ThreadNetif" alt="" coords="835,183,975,208"/>
<area shape="rect" id="node7" href="../../d2/d55/classThread_1_1Ip6_1_1Netif.html" title="This class implements an IPv6 network interface. " alt="" coords="539,183,663,208"/>
<area shape="rect" id="node8" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html" title="This class implements the core IPv6 message processing. " alt="" coords="342,153,458,179"/>
<area shape="rect" id="node9" href="../../d8/de8/classThread_1_1TaskletScheduler.html" title="This class implements the tasklet scheduler. " alt="" coords="5,5,178,31"/>
<area shape="rect" id="node10" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html" title="This class implements ICMPv6. " alt="" coords="29,55,155,80"/>
<area shape="rect" id="node11" href="../../dd/d60/classThread_1_1Ip6_1_1Mpl.html" title="This class implements MPL message processing. " alt="" coords="32,104,151,129"/>
<area shape="rect" id="node12" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html" title="This class implements core UDP message handling. " alt="" coords="31,153,152,179"/>
<area shape="rect" id="node13" href="../../d5/d9f/classThread_1_1MessagePool.html" title="Thread::MessagePool" alt="" coords="16,203,167,228"/>
<area shape="rect" id="node14" href="../../db/ddb/classThread_1_1Ip6_1_1Routes.html" title="This class implements IPv6 route management. " alt="" coords="22,252,161,277"/>
<area shape="rect" id="node15" href="../../df/d1f/classThread_1_1TimerScheduler.html" title="This class implements the timer scheduler. " alt="" coords="9,301,174,327"/>
<area shape="rect" id="node16" href="../../d1/de8/structotActiveScanResult.html" title="This struct represents a received IEEE 802.15.4 Beacon. " alt="" coords="837,269,974,295"/>
<area shape="rect" id="node17" href="../../d3/d8f/structotExtAddress.html" title="This type represents the IEEE 802.15.4 Extended Address. " alt="" coords="551,232,652,257"/>
<area shape="rect" id="node18" href="../../d2/d0a/structotSteeringData.html" title="This structure represents the steering data. " alt="" coords="546,281,656,307"/>
<area shape="rect" id="node19" href="../../dc/d20/structotExtendedPanId.html" title="This structure represents an Extended PAN ID. " alt="" coords="539,331,663,356"/>
<area shape="rect" id="node20" href="../../df/d91/structotNetworkName.html" title="This structure represents a Network Name. " alt="" coords="543,380,660,405"/>
<area shape="rect" id="node21" href="../../d2/de5/classThread_1_1Crypto_1_1MbedTls.html" title="This class implements mbedTLS memory. " alt="" coords="821,319,990,344"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a755449adff7ec14f4985ac462c7914bd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d2a/classThread_1_1NcpSpi.html#a755449adff7ec14f4985ac462c7914bd">NcpSpi</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:a755449adff7ec14f4985ac462c7914bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a755449adff7ec14f4985ac462c7914bd">More...</a><br /></td></tr>
<tr class="separator:a755449adff7ec14f4985ac462c7914bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a114f7f0fc7acef21a0c20c6b3910babb"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d2a/classThread_1_1NcpSpi.html#a114f7f0fc7acef21a0c20c6b3910babb">OutboundFrameBegin</a> (void)</td></tr>
<tr class="memdesc:a114f7f0fc7acef21a0c20c6b3910babb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method is called to start a new outbound frame.  <a href="#a114f7f0fc7acef21a0c20c6b3910babb">More...</a><br /></td></tr>
<tr class="separator:a114f7f0fc7acef21a0c20c6b3910babb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a636c968d8cce6cbf116c1bf22fb72ecd"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d2a/classThread_1_1NcpSpi.html#a636c968d8cce6cbf116c1bf22fb72ecd">OutboundFrameFeedData</a> (const uint8_t *frame, uint16_t frameLength)</td></tr>
<tr class="memdesc:a636c968d8cce6cbf116c1bf22fb72ecd"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method adds data to the current outbound frame being written.  <a href="#a636c968d8cce6cbf116c1bf22fb72ecd">More...</a><br /></td></tr>
<tr class="separator:a636c968d8cce6cbf116c1bf22fb72ecd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9614ae49bf12256c3b0086c55a877142"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d2a/classThread_1_1NcpSpi.html#a9614ae49bf12256c3b0086c55a877142">OutboundFrameFeedMessage</a> (<a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;message)</td></tr>
<tr class="memdesc:a9614ae49bf12256c3b0086c55a877142"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method adds a message to the current outbound frame being written.  <a href="#a9614ae49bf12256c3b0086c55a877142">More...</a><br /></td></tr>
<tr class="separator:a9614ae49bf12256c3b0086c55a877142"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9c67ca2e9b95ac4a4fa5650d44a2eed"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d2a/classThread_1_1NcpSpi.html#ae9c67ca2e9b95ac4a4fa5650d44a2eed">OutboundFrameEnd</a> (void)</td></tr>
<tr class="memdesc:ae9c67ca2e9b95ac4a4fa5650d44a2eed"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method finalizes and sends the current outbound frame.  <a href="#ae9c67ca2e9b95ac4a4fa5650d44a2eed">More...</a><br /></td></tr>
<tr class="separator:ae9c67ca2e9b95ac4a4fa5650d44a2eed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6cac464e054740a234e0d2b903b69b3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab6cac464e054740a234e0d2b903b69b3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>ReceiveTask</b> (const uint8_t *aBuf, uint16_t aBufLength)</td></tr>
<tr class="separator:ab6cac464e054740a234e0d2b903b69b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classThread_1_1NcpBase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classThread_1_1NcpBase')"><img src="../../closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html">Thread::NcpBase</a></td></tr>
<tr class="memitem:a6a04825243722f9500cac2818a07c7b4 inherit pub_methods_classThread_1_1NcpBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html#a6a04825243722f9500cac2818a07c7b4">NcpBase</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:a6a04825243722f9500cac2818a07c7b4 inherit pub_methods_classThread_1_1NcpBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">This constructor creates and initializes an <a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html">NcpBase</a> instance.  <a href="#a6a04825243722f9500cac2818a07c7b4">More...</a><br /></td></tr>
<tr class="separator:a6a04825243722f9500cac2818a07c7b4 inherit pub_methods_classThread_1_1NcpBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac89f974ddb6fd4c08343567fd74a05fe inherit pub_methods_classThread_1_1NcpBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac89f974ddb6fd4c08343567fd74a05fe"></a>
<a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><b>SendPropertyUpdate</b> (uint8_t header, uint8_t command, spinel_prop_key_t key, const uint8_t *value_ptr, uint16_t value_len)</td></tr>
<tr class="separator:ac89f974ddb6fd4c08343567fd74a05fe inherit pub_methods_classThread_1_1NcpBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad32902d02e010c5dbaf872ae433eb1bb inherit pub_methods_classThread_1_1NcpBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad32902d02e010c5dbaf872ae433eb1bb"></a>
<a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><b>SendPropertyUpdate</b> (uint8_t header, uint8_t command, spinel_prop_key_t key, <a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;message)</td></tr>
<tr class="separator:ad32902d02e010c5dbaf872ae433eb1bb inherit pub_methods_classThread_1_1NcpBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ecf227279668404ded52e44fc6ee9ee inherit pub_methods_classThread_1_1NcpBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5ecf227279668404ded52e44fc6ee9ee"></a>
<a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><b>SendPropertyUpdate</b> (uint8_t header, uint8_t command, spinel_prop_key_t key, const char *format,...)</td></tr>
<tr class="separator:a5ecf227279668404ded52e44fc6ee9ee inherit pub_methods_classThread_1_1NcpBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classThread_1_1NcpBase"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classThread_1_1NcpBase')"><img src="../../closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html">Thread::NcpBase</a></td></tr>
<tr class="memitem:ad14f0f1d60c77f7f537a0a441a9fb35c inherit pro_methods_classThread_1_1NcpBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad14f0f1d60c77f7f537a0a441a9fb35c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c">IncrementFrameErrorCounter</a> (void)</td></tr>
<tr class="memdesc:ad14f0f1d60c77f7f537a0a441a9fb35c inherit pro_methods_classThread_1_1NcpBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method is called by the framer whenever a framing error is detected. <br /></td></tr>
<tr class="separator:ad14f0f1d60c77f7f537a0a441a9fb35c inherit pro_methods_classThread_1_1NcpBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a325e6ac211c2a40186dd78d1e88e42 inherit pro_methods_classThread_1_1NcpBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a325e6ac211c2a40186dd78d1e88e42"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html#a3a325e6ac211c2a40186dd78d1e88e42">HandleReceive</a> (const uint8_t *buf, uint16_t bufLength)</td></tr>
<tr class="memdesc:a3a325e6ac211c2a40186dd78d1e88e42 inherit pro_methods_classThread_1_1NcpBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Called by the subclass to indicate when a frame has been received. <br /></td></tr>
<tr class="separator:a3a325e6ac211c2a40186dd78d1e88e42 inherit pro_methods_classThread_1_1NcpBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22e9a31900fdf4eb3ef49dc32987f44c inherit pro_methods_classThread_1_1NcpBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a22e9a31900fdf4eb3ef49dc32987f44c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html#a22e9a31900fdf4eb3ef49dc32987f44c">HandleSpaceAvailableInTxBuffer</a> (void)</td></tr>
<tr class="memdesc:a22e9a31900fdf4eb3ef49dc32987f44c inherit pro_methods_classThread_1_1NcpBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Called by the subclass to indicate when a frame was removed and some space in tx buffer is available. <br /></td></tr>
<tr class="separator:a22e9a31900fdf4eb3ef49dc32987f44c inherit pro_methods_classThread_1_1NcpBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classThread_1_1NcpBase"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classThread_1_1NcpBase')"><img src="../../closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html">Thread::NcpBase</a></td></tr>
<tr class="memitem:aa38f7515ef47e9ba64ea7bd3f0781c08 inherit pro_attribs_classThread_1_1NcpBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa38f7515ef47e9ba64ea7bd3f0781c08"></a>
<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>mInstance</b></td></tr>
<tr class="separator:aa38f7515ef47e9ba64ea7bd3f0781c08 inherit pro_attribs_classThread_1_1NcpBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a755449adff7ec14f4985ac462c7914bd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Thread::NcpSpi::NcpSpi </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>The OpenThread instance structure. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d2a/classThread_1_1NcpSpi_a755449adff7ec14f4985ac462c7914bd_cgraph.png" border="0" usemap="#d0/d2a/classThread_1_1NcpSpi_a755449adff7ec14f4985ac462c7914bd_cgraph" alt=""/></div>
<map name="d0/d2a/classThread_1_1NcpSpi_a755449adff7ec14f4985ac462c7914bd_cgraph" id="d0/d2a/classThread_1_1NcpSpi_a755449adff7ec14f4985ac462c7914bd_cgraph">
<area shape="rect" id="node2" href="../../d0/d78/classThread_1_1NcpFrameBuffer.html#a69de51cb5b7132fa7d82270f3090f4dc" title="This method sets the callbacks and context. " alt="" coords="246,68,414,107"/>
<area shape="rect" id="node6" href="../../d1/d88/group__spi-slave.html#gab202b9e8a3a12e7e738467c4693acd44" title="Initialize the SPI slave interface. " alt="" coords="255,131,405,156"/>
<area shape="rect" id="node7" href="../../d1/d88/group__spi-slave.html#ga545203c4c963f46b40586b830d817a45" title="Prepare data for the next SPI transaction. " alt="" coords="218,180,442,205"/>
<area shape="rect" id="node8" href="../../d4/d92/classThread_1_1Tasklet.html#a50a39a6f422851035b89aace87482425" title="This method puts the tasklet on the run queue. " alt="" coords="257,229,403,255"/>
<area shape="rect" id="node3" href="../../da/d1a/classThread_1_1MessageQueue.html#ac0e8b64309aca4d66b262f0354d72e83" title="This method returns a pointer to the first message. " alt="" coords="494,5,659,44"/>
<area shape="rect" id="node4" href="../../da/d1a/classThread_1_1MessageQueue.html#a501d831849c577b2114fcbb4034d074d" title="This method removes a message from the list. " alt="" coords="494,68,659,107"/>
<area shape="rect" id="node5" href="../../dc/d3c/classThread_1_1Message.html#adc9d723284f5807d9c272ab89bc52b45" title="This method frees this message buffer. " alt="" coords="497,131,657,156"/>
<area shape="rect" id="node9" href="../../d8/de8/classThread_1_1TaskletScheduler.html#a137292acddf92acdef54cc7a33ea5fac" title="This method enqueues a tasklet into the run queue. " alt="" coords="490,223,663,261"/>
<area shape="rect" id="node10" href="../../d1/de3/group__execution.html#ga04d5608ac68a78eb3e8fc167587c61f3" title="OpenThread calls this function when the tasklet queue transitions from empty to non&#45;empty. " alt="" coords="728,173,888,199"/>
<area shape="rect" id="node11" href="../../d8/de8/classThread_1_1TaskletScheduler.html#aeaf526c316bbea7d53d20fa9e3c94c40" title="This method returns the pointer to the parent Ip6 structure. " alt="" coords="722,223,895,261"/>
<area shape="rect" id="node12" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a624d9508f3ecfa586378a3d802cb6ff7" title="This method returns the pointer to the parent otInstance structure. " alt="" coords="711,285,906,311"/>
</map>
</div>
</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a114f7f0fc7acef21a0c20c6b3910babb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::NcpSpi::OutboundFrameBegin </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method is called to start a new outbound frame. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully started a new frame. </td></tr>
    <tr><td class="paramname">kThreadError_NoBufs</td><td>Insufficient buffer space available to start a new frame. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html#aa42f5d6c360b6b1203d3f808d59c47f3">Thread::NcpBase</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d2a/classThread_1_1NcpSpi_a114f7f0fc7acef21a0c20c6b3910babb_cgraph.png" border="0" usemap="#d0/d2a/classThread_1_1NcpSpi_a114f7f0fc7acef21a0c20c6b3910babb_cgraph" alt=""/></div>
<map name="d0/d2a/classThread_1_1NcpSpi_a114f7f0fc7acef21a0c20c6b3910babb_cgraph" id="d0/d2a/classThread_1_1NcpSpi_a114f7f0fc7acef21a0c20c6b3910babb_cgraph">
<area shape="rect" id="node2" href="../../d0/d78/classThread_1_1NcpFrameBuffer.html#a5f8aef01dd5f6b673c2a16a7e0aece29" title="This method begins a new input frame to be added/written to the frame buffer. " alt="" coords="233,5,402,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ae9c67ca2e9b95ac4a4fa5650d44a2eed"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::NcpSpi::OutboundFrameEnd </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method finalizes and sends the current outbound frame. </p>
<p>If no buffer space is available, this method should discard and clear the frame before returning an error status.</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully added the message to the frame. </td></tr>
    <tr><td class="paramname">kThreadError_NoBufs</td><td>Insufficient buffer space available to add message. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html#aa0ddbeb24870f94ca94028e6707e8ffb">Thread::NcpBase</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d2a/classThread_1_1NcpSpi_ae9c67ca2e9b95ac4a4fa5650d44a2eed_cgraph.png" border="0" usemap="#d0/d2a/classThread_1_1NcpSpi_ae9c67ca2e9b95ac4a4fa5650d44a2eed_cgraph" alt=""/></div>
<map name="d0/d2a/classThread_1_1NcpSpi_ae9c67ca2e9b95ac4a4fa5650d44a2eed_cgraph" id="d0/d2a/classThread_1_1NcpSpi_ae9c67ca2e9b95ac4a4fa5650d44a2eed_cgraph">
<area shape="rect" id="node2" href="../../d0/d78/classThread_1_1NcpFrameBuffer.html#a46d59d1e7c71eff0d4cf9ea91b821ead" title="This method finalizes/ends the current input frame being written to the buffer. " alt="" coords="261,120,430,159"/>
<area shape="rect" id="node3" href="../../d0/d78/classThread_1_1NcpFrameBuffer.html#a34a6141ff650ec07602b246fe3e65404" title="This method checks if the buffer is empty. " alt="" coords="519,183,688,221"/>
<area shape="rect" id="node10" href="../../d4/d92/classThread_1_1Tasklet.html#a50a39a6f422851035b89aace87482425" title="This method puts the tasklet on the run queue. " alt="" coords="272,427,419,452"/>
<area shape="rect" id="node15" href="../../d0/d78/classThread_1_1NcpFrameBuffer.html#af7e6c123cca21c4ea9459c2a3ca350b6" title="This method begins/prepares a new output frame to be read from the frame buffer. " alt="" coords="261,476,430,515"/>
<area shape="rect" id="node16" href="../../d0/d78/classThread_1_1NcpFrameBuffer.html#a8b7c96ec541408d307edf2c069ef208c" title="This method returns the number of bytes (length) of current/front frame in the NCP frame buffer..." alt="" coords="261,364,430,403"/>
<area shape="rect" id="node18" href="../../d0/d78/classThread_1_1NcpFrameBuffer.html#a4062341057541242068c5680c35f5a1c" title="This method reads bytes from the current output frame. " alt="" coords="261,539,430,577"/>
<area shape="rect" id="node21" href="../../d1/d88/group__spi-slave.html#ga545203c4c963f46b40586b830d817a45" title="Prepare data for the next SPI transaction. " alt="" coords="233,601,458,627"/>
<area shape="rect" id="node22" href="../../d0/d78/classThread_1_1NcpFrameBuffer.html#ab8a97ac52ae66b96155e6fb72cbd7e38" title="This method removes the current/front output frame from the buffer. " alt="" coords="261,240,430,279"/>
<area shape="rect" id="node24" href="../../d9/dc8/classThread_1_1NcpBase.html#a22e9a31900fdf4eb3ef49dc32987f44c" title="Called by the subclass to indicate when a frame was removed and some space in tx buffer is available..." alt="" coords="239,651,452,689"/>
<area shape="rect" id="node25" href="../../d9/dc8/classThread_1_1NcpBase.html#a3a325e6ac211c2a40186dd78d1e88e42" title="Called by the subclass to indicate when a frame has been received. " alt="" coords="234,713,457,739"/>
<area shape="rect" id="node4" href="../../da/d1a/classThread_1_1MessageQueue.html#ac0e8b64309aca4d66b262f0354d72e83" title="This method returns a pointer to the first message. " alt="" coords="764,240,929,279"/>
<area shape="rect" id="node8" href="../../da/d1a/classThread_1_1MessageQueue.html#a501d831849c577b2114fcbb4034d074d" title="This method removes a message from the list. " alt="" coords="521,120,686,159"/>
<area shape="rect" id="node9" href="../../da/d1a/classThread_1_1MessageQueue.html#a5e6f37c86a48e8dfbfcc7a7c14c23808" title="This method adds a message to the end of the list. " alt="" coords="521,5,686,44"/>
<area shape="rect" id="node5" href="../../dc/d3c/classThread_1_1Message.html#a89b66912022440cb19aa5eefef093b46" title="This method returns a pointer to the next message in the same interface list. " alt="" coords="755,352,937,377"/>
<area shape="rect" id="node6" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="764,189,928,215"/>
<area shape="rect" id="node7" href="../../db/d50/classThread_1_1Buffer.html#a34ab22941ccd9bb222d251a6a18c95bf" title="This method returns a pointer to the next message buffer. " alt="" coords="991,189,1189,215"/>
<area shape="rect" id="node11" href="../../d8/de8/classThread_1_1TaskletScheduler.html#a137292acddf92acdef54cc7a33ea5fac" title="This method enqueues a tasklet into the run queue. " alt="" coords="517,500,690,539"/>
<area shape="rect" id="node12" href="../../d1/de3/group__execution.html#ga04d5608ac68a78eb3e8fc167587c61f3" title="OpenThread calls this function when the tasklet queue transitions from empty to non&#45;empty. " alt="" coords="766,451,926,476"/>
<area shape="rect" id="node13" href="../../d8/de8/classThread_1_1TaskletScheduler.html#aeaf526c316bbea7d53d20fa9e3c94c40" title="This method returns the pointer to the parent Ip6 structure. " alt="" coords="760,500,932,539"/>
<area shape="rect" id="node14" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a624d9508f3ecfa586378a3d802cb6ff7" title="This method returns the pointer to the parent otInstance structure. " alt="" coords="749,563,943,588"/>
<area shape="rect" id="node17" href="../../dc/d3c/classThread_1_1Message.html#a2cf440376e834030c38bb2ced4ca49e9" title="This method returns the number of bytes in the message. " alt="" coords="506,399,701,424"/>
<area shape="rect" id="node19" href="../../d0/d78/classThread_1_1NcpFrameBuffer.html#abf94a643cd4931c947e4682c6fa21a64" title="This method checks if the current output frame (being read) has ended. " alt="" coords="519,563,688,601"/>
<area shape="rect" id="node20" href="../../d0/d78/classThread_1_1NcpFrameBuffer.html#af8004f00f97e629cf5c5b0c6d695fcdc" title="This method reads and returns the next byte from the current output frame. " alt="" coords="519,625,688,664"/>
<area shape="rect" id="node23" href="../../dc/d3c/classThread_1_1Message.html#adc9d723284f5807d9c272ab89bc52b45" title="This method frees this message buffer. " alt="" coords="523,297,683,323"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a636c968d8cce6cbf116c1bf22fb72ecd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::NcpSpi::OutboundFrameFeedData </td>
          <td>(</td>
          <td class="paramtype">const uint8_t *&#160;</td>
          <td class="paramname"><em>aDataBuffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aDataBufferLength</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method adds data to the current outbound frame being written. </p>
<p>If no buffer space is available, this method should discard and clear the frame before returning an error status.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aDataBuffer</td><td>A pointer to data buffer. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aDataBufferLength</td><td>The length of the data buffer.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully added new data to the frame. </td></tr>
    <tr><td class="paramname">kThreadError_NoBufs</td><td>Insufficient buffer space available to add data. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html#ad9f0899a44608aaa83751fb657592317">Thread::NcpBase</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d2a/classThread_1_1NcpSpi_a636c968d8cce6cbf116c1bf22fb72ecd_cgraph.png" border="0" usemap="#d0/d2a/classThread_1_1NcpSpi_a636c968d8cce6cbf116c1bf22fb72ecd_cgraph" alt=""/></div>
<map name="d0/d2a/classThread_1_1NcpSpi_a636c968d8cce6cbf116c1bf22fb72ecd_cgraph" id="d0/d2a/classThread_1_1NcpSpi_a636c968d8cce6cbf116c1bf22fb72ecd_cgraph">
<area shape="rect" id="node2" href="../../d0/d78/classThread_1_1NcpFrameBuffer.html#a3987c8813a4aa3f7874b920736390e97" title="This method adds data to the current input frame being written to the buffer. " alt="" coords="233,5,402,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a9614ae49bf12256c3b0086c55a877142"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::NcpSpi::OutboundFrameFeedMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;&#160;</td>
          <td class="paramname"><em>aMessage</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method adds a message to the current outbound frame being written. </p>
<p>If no buffer space is available, this method should discard and clear the frame before returning an error status. In case of success, the passed-in message  should be owned by outbound buffer and should be freed when either the the frame is successfully sent and removed or if the frame is discarded.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aMessage</td><td>A reference to the message to be added to current frame.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully added the message to the frame. </td></tr>
    <tr><td class="paramname">kThreadError_NoBufs</td><td>Insufficient buffer space available to add message. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="../../d9/dc8/classThread_1_1NcpBase.html#ad1df691c323b4b58912f402465450375">Thread::NcpBase</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d0/d2a/classThread_1_1NcpSpi_a9614ae49bf12256c3b0086c55a877142_cgraph.png" border="0" usemap="#d0/d2a/classThread_1_1NcpSpi_a9614ae49bf12256c3b0086c55a877142_cgraph" alt=""/></div>
<map name="d0/d2a/classThread_1_1NcpSpi_a9614ae49bf12256c3b0086c55a877142_cgraph" id="d0/d2a/classThread_1_1NcpSpi_a9614ae49bf12256c3b0086c55a877142_cgraph">
<area shape="rect" id="node2" href="../../d0/d78/classThread_1_1NcpFrameBuffer.html#af5fa8d69618ffb232ea0693f5622e948" title="This method adds a message to the current input frame being written to the buffer. " alt="" coords="233,5,402,44"/>
<area shape="rect" id="node3" href="../../da/d1a/classThread_1_1MessageQueue.html#a5e6f37c86a48e8dfbfcc7a7c14c23808" title="This method adds a message to the end of the list. " alt="" coords="450,5,615,44"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/ncp/<a class="el" href="../../d7/df2/ncp__spi_8hpp_source.html">ncp_spi.hpp</a></li>
<li>src/ncp/<a class="el" href="../../d0/d95/ncp__spi_8cpp.html">ncp_spi.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../d0/d2a/classThread_1_1NcpSpi.html">NcpSpi</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
